# PrimitiveNoValue Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveNoValue:
[legend]

List of all members.

## Public Member Functions

| setValue ($value)
| setDefaultValue ($default)
| setRawValue ($raw)
| importValue ($value)
| import ($scope)

## Detailed Description

Definition at line 15 of file PrimitiveNoValue.class.php.

## Member Function Documentation

PrimitiveNoValue::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Definition at line 48 of file PrimitiveNoValue.class.php.

PrimitiveNoValue::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 41 of file PrimitiveNoValue.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

PrimitiveNoValue::setDefaultValue | ( | $ | default | ) |

Definition at line 27 of file PrimitiveNoValue.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

PrimitiveNoValue::setRawValue | ( | $ | raw | ) |

Returns:
  BasePrimitive

usually, you should not use this method

Reimplemented from BasePrimitive.

Definition at line 34 of file PrimitiveNoValue.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

PrimitiveNoValue::setValue | ( | $ | value | ) |

Returns:
  PrimitiveNoValue

Reimplemented from BasePrimitive.

Definition at line 20 of file PrimitiveNoValue.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveNoValue.class.php